nvme_mi_admin_fw_download(2)

NAME
nvme_mi_admin_fw_download - Download part or all of a firmware image to the controller

SYNOPSIS
int nvme_mi_admin_fw_download (nvme_mi_ctrl_t ctrl , struct nvme_fw_download_args *args );

ARGUMENTS

ctrl
    Controller to send firmware data to

args
    struct nvme_fw_download_args argument structure

DESCRIPTION
The Firmware Image Download command downloads all or a portion of an image for a future update to the controller. The Firmware Image Download command downloads a new image (in whole or in part) to the controller.

The image may be constructed of multiple pieces that are individually downloaded with separate Firmware Image Download commands. Each Firmware Image Download command includes a Dword Offset and Number of Dwords that specify a dword range.

The new firmware image is not activated as part of the Firmware Image Download command. Use the nvme_mi_admin_fw_commit to activate a newly downloaded image.

RETURN
0 on success, non-zero on failure